Shlwapi (JNA API)

com.sun.jna.platform.win32

## Interface Shlwapi

- All Superinterfaces:
    AltCallingConvention, Library, StdCall, StdCallLibrary

      public interface Shlwapi
      extends StdCallLibrary

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary

      `StdCallLibrary.StdCallCallback`

    - ### Nested classes/interfaces inherited from interface com.sun.jna.Library

      `Library.Handler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Shlwapi` | `INSTANCE`

    - ### Fields inherited from interface com.sun.jna.win32.StdCallLibrary

      `FUNCTION_MAPPER, STDCALL_CONVENTION`

    - ### Fields inherited from interface com.sun.jna.Library

      `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `PathIsUNC(java.lang.String path)` Determines if a path string is a valid Universal Naming Convention (UNC) path, as opposed to a path based on a drive letter.
    `WinNT.HRESULT` | `StrRetToStr(PointerByReference pstr, Pointer pidl, PointerByReference ppszName)` Takes an STRRET structure returned by IShellFolder::GetDisplayNameOf and returns a pointer to an allocated string containing the display name.

- - ### Field Detail

    - #### INSTANCE

          static final Shlwapi INSTANCE

  - ### Method Detail

    - #### StrRetToStr

          WinNT.HRESULT StrRetToStr(PointerByReference pstr,
                                    Pointer pidl,
                                    PointerByReference ppszName)

      Takes an STRRET structure returned by IShellFolder::GetDisplayNameOf and returns a pointer to an allocated string containing the display name.
      Parameters:
        `pstr` - A pointer to the STRRET structure. When the function returns, this pointer will no longer be valid.
        `pidl` - A pointer to the item's ITEMIDLIST structure. This value can be NULL.
        `ppszName` - A pointer to an allocated string containing the result. StrRetToStr allocates memory for this string with CoTaskMemAlloc. You should free the string with CoTaskMemFree when it is no longer needed.
      Returns:
        If this function succeeds, it returns S_OK. Otherwise, it returns an HRESULT error code.

    - #### PathIsUNC

          boolean PathIsUNC(java.lang.String path)

      Determines if a path string is a valid Universal Naming Convention (UNC) path, as opposed to a path based on a drive letter.
      Parameters:
        `path` - A string containing the path to validate.
      Returns:
        TRUE if the string is a valid UNC path; otherwise, FALSE.

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.